Last Comment Bug 724432 - Backout nsChangeHint_UpdateOverflow for all properties except transforms. (bug 719177 etc)
: Backout nsChangeHint_UpdateOverflow for all properties except transforms. (bu...
Status: RESOLVED FIXED
[qa-]
:
Product: Core
Classification: Components
Component: Layout (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla13
Assigned To: Mats Palmgren (:mats)
:
: Jet Villegas (:jet)
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-05 15:06 PST by Mats Palmgren (:mats)
Modified: 2012-03-29 12:33 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed


Attachments
backout commands (666 bytes, text/plain)
2012-02-05 15:06 PST, Mats Palmgren (:mats)
no flags Details
additional fixes (2.53 KB, patch)
2012-02-05 15:10 PST, Mats Palmgren (:mats)
roc: review+
Details | Diff | Splinter Review
The full diff for the suggested changes (33.54 KB, patch)
2012-02-06 14:01 PST, Mats Palmgren (:mats)
no flags Details | Diff | Splinter Review
backout for Aurora (518 bytes, text/plain)
2012-02-10 16:40 PST, Mats Palmgren (:mats)
akeybl: approval‑mozilla‑aurora+
Details

Comment 1 Mats Palmgren (:mats) 2012-02-05 15:10:47 PST
Created attachment 594602 [details] [diff] [review]
additional fixes

Additional fixes on top of the backout, as requested in bug 723669.
Comment 2 Mats Palmgren (:mats) 2012-02-05 15:12:55 PST
Try results pending:  https://tbpl.mozilla.org/?tree=Try&rev=fa1a77db5788
Comment 3 Boris Zbarsky [:bz] (still a bit busy) 2012-02-05 18:18:43 PST
Is this something we think we can reinstate later, or is there some fundamental issue with it?
Comment 4 Robert O'Callahan (:roc) (email my personal email if necessary) 2012-02-05 18:25:31 PST
We can reinstate most of it, see bug 723669.
Comment 5 Robert O'Callahan (:roc) (email my personal email if necessary) 2012-02-05 18:26:40 PST
Comment on attachment 594602 [details] [diff] [review]
additional fixes

Review of attachment 594602 [details] [diff] [review]:
-----------------------------------------------------------------

Should we remove nsChangeHint_UpdateTransformLayer and nsChangeHint_UpdateOpacityLayer too? I think we should! It seems to me they currently have the same bug.
Comment 6 Mats Palmgren (:mats) 2012-02-06 02:55:45 PST
Please file a new bug.  This bug is only for making UpdateOverflow work for
transforms and nothing else.  The aim is to merge this to Aurora and leave it
at that state for Fx12.  Then re-land bug 719177 with some additional fixes
(as discussed in bug 723669) on trunk, except for 'text-shadow' which we can
handle in bug 723669 (if we decide to do it).
Comment 7 Mats Palmgren (:mats) 2012-02-06 03:02:25 PST
The Try run was green.  I installed the Try build on my Nexus and it seems to work
fine on sites mentioned in bug 722325, but I'm not exactly sure what to look for.

Chris, I'd appreciate if you can verify that.
https://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/mpalmgren@mozilla.com-fa1a77db5788/
Comment 8 Mats Palmgren (:mats) 2012-02-06 14:01:40 PST
Created attachment 594799 [details] [diff] [review]
The full diff for the suggested changes

Feel free to review this patch, or the backout commands + additional fixes
patch, whichever you think is easier to review.
Comment 9 Robert O'Callahan (:roc) (email my personal email if necessary) 2012-02-06 14:41:42 PST
(In reply to Mats Palmgren [:mats] from comment #6)
> Please file a new bug.

Sure, filed bug 724502. I'll try to fix it.
Comment 10 Robert O'Callahan (:roc) (email my personal email if necessary) 2012-02-06 14:43:05 PST
r+ on the patch and backout
Comment 12 Mats Palmgren (:mats) 2012-02-09 07:58:43 PST
This caused bug 722325 to regress again, so I re-instated that wallpaper and
filed bug 725664 to fix it for real.  The question is - what do we want to do
for Aurora?  Ship with the wallpaper or revert UpdateOverflow also for transforms?
Comment 13 Robert O'Callahan (:roc) (email my personal email if necessary) 2012-02-09 14:13:01 PST
Wallpaper.
Comment 14 Mats Palmgren (:mats) 2012-02-10 16:40:49 PST
Created attachment 596226 [details]
backout for Aurora

Ok, here's the backout commands for Aurora.  Specifically, I'm NOT backing out
the wallpaper for bug 722325, which landed independently for Aurora in
https://hg.mozilla.org/releases/mozilla-aurora/rev/73f3d8eeb937

On top of that, the same "additional fixes" patch.
These changes will make the affected code the same as currently on trunk.
Comment 15 Mats Palmgren (:mats) 2012-02-10 16:49:46 PST
Comment on attachment 596226 [details]
backout for Aurora

[Approval Request Comment]
Regression caused by (bug #): 722117, 719177, 524925 (part 4)
User impact if declined: content rendering errors
Testing completed (on m-c, etc.): baked on trunk for a few days,
pass reftests in local Aurora build on Linux, Try results pending:
https://tbpl.mozilla.org/?tree=Try&rev=40d3b4e37a0e
Risk to taking this patch (and alternatives if risky): low since it mostly
reverts changes from the mentioned bugs
String changes made by this patch: none
Comment 16 Alex Keybl [:akeybl] 2012-02-14 11:37:42 PST
Comment on attachment 596226 [details]
backout for Aurora

[Triage Comment]
Approving these backouts for Aurora 12 given the content rendering regressions.

Note You need to log in before you can comment on or make changes to this bug.